Bug 1003099 - [RFE] Add ability to automatically assign gear sizes depending on a user's LDAP group
[RFE] Add ability to automatically assign gear sizes depending on a user's LD...
Status: CLOSED WONTFIX
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
2.2.0
All Linux
low Severity low
: ---
: ---
Assigned To: jofernan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-30 15:04 EDT by Timothy Williams
Modified: 2016-05-25 09:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
OpenShift Enterprise 1.2 LDAP
Last Closed: 2016-01-27 14:03:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Timothy Williams 2013-08-30 15:04:01 EDT
Description of problem:
Instead of manually using oo-admin-ctl-user --addgearsize for each user, have the ability to assign a gear size to an LDAP group. This way, users will automatically be assigned gear sizes depending on their LDAP credentials.

How reproducible:
Always

Steps to Reproduce:
1. Add a user authenticating with LDAP
2. 
3.

Actual results:
User is assigned Default gear sizes no matter what LDAP group they belong to.

Expected results:
User is assigned gear sizes depending on the LDAP group they belong to.
Comment 2 Luke Meyer 2014-03-24 14:33:53 EDT
Sounds like something the oo-admin-team script could handle in the future. Linking this to the line item at https://trello.com/c/NITewnmp/19-improve-multi-user-collaboration-in-openshift-via-user-groups-and-roles-based-access-controls-team

There is a little more to this than it might seem - when exactly should the permissions be granted? Should the LDAP synchronization overwrite modifications made by the OpenShift admin? If a user is in multiple groups what do they have access to? But by and large, should be able to do what is needed with oo-admin-team options.
Comment 3 Eric Rich 2014-09-04 16:39:48 EDT
Does the following script help solve this issue with oo-admin commands (for setting user gear sizes?)

https://bugzilla.redhat.com/show_bug.cgi?id=1059813#c5

Note You need to log in before you can comment on or make changes to this bug.